if not _G.charSelectExists then return end

local E_MODEL_FH = smlua_model_util_get_id("fh_geo")
local TEX_FH = get_texture_info("icon_fh")

local CAPTABLE_FH = {
	normal = smlua_model_util_get_id("fh_cap_geo"),
	wing = smlua_model_util_get_id("fh_wing_cap_geo"),
	metal = smlua_model_util_get_id("fh_metal_cap_geo"),
	metalWing = smlua_model_util_get_id("fh_metalwing_cap_geo")
}

local VOICETABLE_FH = {
    [CHAR_SOUND_ATTACKED] = 'both-hurt.ogg',
    [CHAR_SOUND_COUGHING1] = 'lucas-cough.ogg',
    [CHAR_SOUND_COUGHING2] = 'lucas-cough.ogg',
    [CHAR_SOUND_COUGHING3] = 'lucas-cough.ogg',
    [CHAR_SOUND_DOH] = 'both-bump.ogg',
    --[CHAR_SOUND_DROWNING] = 'no-sound.ogg',
    [CHAR_SOUND_DYING] = 'both-die.ogg',
    [CHAR_SOUND_EEUH] = 'both-pickup.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'both-pound.ogg',
    --[CHAR_SOUND_HAHA] = 'no-sound.ogg',
    --[CHAR_SOUND_HAHA_2] = 'no-sound.ogg',
    --[CHAR_SOUND_HELLO] = 'no-sound.ogg',
    --[CHAR_SOUND_HERE_WE_GO] = 'no-sound.ogg',
    [CHAR_SOUND_HOOHOO] = 'fh-jump2.ogg',
    [CHAR_SOUND_HRMM] = 'both-pickup.ogg',
    --[CHAR_SOUND_IMA_TIRED] = 'no-sound.ogg',
    --[CHAR_SOUND_LETS_A_GO] = 'no-sound.ogg',
    --[CHAR_SOUND_MAMA_MIA] = 'no-sound.ogg',
    --[CHAR_SOUND_ON_FIRE] = 'no-sound.ogg',
    --[CHAR_SOUND_OOOF] = 'no-sound.ogg',
    --[CHAR_SOUND_OOOF2] = 'no-sound.ogg',
    --[CHAR_SOUND_PANTING] = 'no-sound.ogg',
    --[CHAR_SOUND_PANTING_COLD] = 'no-sound.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'lucas-kick.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'lucas-punch2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'lucas-punch1.ogg',
    [CHAR_SOUND_SNORING1] = 'lucas-snore1.ogg',
    [CHAR_SOUND_SNORING2] = 'lucas-snore2.ogg',
    [CHAR_SOUND_SNORING3] = {'lucas-snore2.ogg', 'lucas-snore1.ogg'},
    --[CHAR_SOUND_SO_LONGA_BOWSER] = 'no-sound.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'fh-jump3.ogg',
    [CHAR_SOUND_UH] = 'both-bump.ogg',
    [CHAR_SOUND_UH2] = 'both-bump.ogg',
    [CHAR_SOUND_UH2_2] = 'both-bump.ogg',
    --[CHAR_SOUND_WAAAOOOW] = 'no-sound.ogg',
    --[CHAR_SOUND_WAH2] = 'no-sound.ogg',
    --[CHAR_SOUND_WHOA] = 'no-sound.ogg',
    [CHAR_SOUND_YAHOO] = 'fh-jump3.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'fh-jump2.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'fh-jump1.ogg',
    --[CHAR_SOUND_YAWNING] = 'no-sound.ogg',
}

--[[
local PALETTE_FH = {
    [PANTS]  = "ffffff",
    [SHIRT]  = "ffffff",
    [GLOVES] = "ffffff",
    [SHOES]  = "ffffff",
    [HAIR]   = "ffffff",
    [SKIN]   = "ffffff",
    [CAP]    = "ffffff",
}
]]

_G.CT_FH = _G.charSelect.character_add("False Hero", {"Heya bro!", "It's-a me, Mario!"}, "5UP34 and Razz", {r = 225, g = 0, b = 0}, E_MODEL_FH, CT_MARIO, TEX_FH)
_G.charSelect.character_add_caps(E_MODEL_FH, CAPTABLE_FH)
_G.charSelect.character_add_voice(E_MODEL_FH, VOICETABLE_FH)
--_G.charSelect.character_add_palette_preset(E_MODEL_FH, PALETTE_FH)

local function on_character_sound(m, sound)
    if _G.charSelect.character_get_voice(m) == VOICETABLE_FH then return _G.charSelect.voice.sound(m, sound) end
end

local function on_character_snore(m)
    if _G.charSelect.character_get_voice(m) == VOICETABLE_FH then return _G.charSelect.voice.snore(m) end
end

hook_event(HOOK_CHARACTER_SOUND, on_character_sound)
hook_event(HOOK_MARIO_UPDATE, on_character_snore)