if not _G.charSelectExists then return end

local E_MODEL_LUCAS = smlua_model_util_get_id("lucas_geo")
local TEX_LUCAS = get_texture_info("icon_lucas")

local CAPTABLE_LUCAS = {
	normal = smlua_model_util_get_id("lucas_cap_geo"),
	wing = smlua_model_util_get_id("lucas_wing_cap_geo"),
	metal = smlua_model_util_get_id("lucas_metal_cap_geo"),
	metalWing = smlua_model_util_get_id("lucas_metalwing_cap_geo")
}

local VOICETABLE_LUCAS = {
    [CHAR_SOUND_ATTACKED] = 'both-hurt.ogg',
    [CHAR_SOUND_COUGHING1] = 'lucas-cough.ogg',
    [CHAR_SOUND_COUGHING2] = 'lucas-cough.ogg',
    [CHAR_SOUND_COUGHING3] = 'lucas-cough.ogg',
    [CHAR_SOUND_DOH] = 'both-bump.ogg',
    --[CHAR_SOUND_DROWNING] = 'no-sound.ogg',
    [CHAR_SOUND_DYING] = 'both-die.ogg',
    [CHAR_SOUND_EEUH] = 'both-pickup.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'both-pound.ogg',
    --[CHAR_SOUND_HAHA] = 'no-sound.ogg',
    --[CHAR_SOUND_HAHA_2] = 'no-sound.ogg',
    --[CHAR_SOUND_HELLO] = 'no-sound.ogg',
    --[CHAR_SOUND_HERE_WE_GO] = 'no-sound.ogg',
    [CHAR_SOUND_HOOHOO] = 'lucas-jump2.ogg',
    [CHAR_SOUND_HRMM] = 'both-pickup.ogg',
    --[CHAR_SOUND_IMA_TIRED] = 'no-sound.ogg',
    --[CHAR_SOUND_LETS_A_GO] = 'no-sound.ogg',
    --[CHAR_SOUND_MAMA_MIA] = 'no-sound.ogg',
    --[CHAR_SOUND_ON_FIRE] = 'no-sound.ogg',
    --[CHAR_SOUND_OOOF] = 'no-sound.ogg',
    --[CHAR_SOUND_OOOF2] = 'no-sound.ogg',
    --[CHAR_SOUND_PANTING] = 'no-sound.ogg',
    --[CHAR_SOUND_PANTING_COLD] = 'no-sound.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'lucas-kick.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'lucas-punch2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'lucas-punch1.ogg',
    [CHAR_SOUND_SNORING1] = 'lucas-snore1.ogg',
    [CHAR_SOUND_SNORING2] = 'lucas-snore2.ogg',
    [CHAR_SOUND_SNORING3] = {'lucas-snore2.ogg', 'lucas-snore1.ogg'},
    --[CHAR_SOUND_SO_LONGA_BOWSER] = 'no-sound.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'lucas-jump3.ogg',
    [CHAR_SOUND_UH] = 'both-bump.ogg',
    [CHAR_SOUND_UH2] = 'both-bump.ogg',
    [CHAR_SOUND_UH2_2] = 'both-bump.ogg',
    --[CHAR_SOUND_WAAAOOOW] = 'no-sound.ogg',
    --[CHAR_SOUND_WAH2] = 'no-sound.ogg',
    --[CHAR_SOUND_WHOA] = 'no-sound.ogg',
    [CHAR_SOUND_YAHOO] = 'lucas-jump3.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'lucas-jump2.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'lucas-jump1.ogg',
    --[CHAR_SOUND_YAWNING] = 'no-sound.ogg',
}

--[[
local PALETTE_LUCAS = {
    [PANTS]  = "ffffff",
    [SHIRT]  = "ffffff",
    [GLOVES] = "ffffff",
    [SHOES]  = "ffffff",
    [HAIR]   = "ffffff",
    [SKIN]   = "ffffff",
    [CAP]    = "ffffff",
}
]]

_G.CT_LUCAS = _G.charSelect.character_add("Lucas", {"GET ME OUT OF HERE!"}, "5UP34 and Razz", {r = 0, g = 225, b = 0}, E_MODEL_LUCAS, CT_MARIO, TEX_LUCAS, 0.8)
_G.charSelect.character_add_caps(E_MODEL_LUCAS, CAPTABLE_LUCAS)
_G.charSelect.character_add_voice(E_MODEL_LUCAS, VOICETABLE_LUCAS)
--_G.charSelect.character_add_palette_preset(E_MODEL_LUCAS, PALETTE_LUCAS)

local function on_character_sound(m, sound)
    if _G.charSelect.character_get_voice(m) == VOICETABLE_LUCAS then return _G.charSelect.voice.sound(m, sound) end
end

local function on_character_snore(m)
    if _G.charSelect.character_get_voice(m) == VOICETABLE_LUCAS then return _G.charSelect.voice.snore(m) end
end

hook_event(HOOK_CHARACTER_SOUND, on_character_sound)
hook_event(HOOK_MARIO_UPDATE, on_character_snore)